﻿Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Windows.Forms

Namespace UltraGridMaskInput
	Partial Public Class Form1
		Inherits Form

		Public Sub New()
			InitializeComponent()
		End Sub

		Private Sub Form1_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
			ultraGrid1.DataSource = GetData(10)
			Dim column = ultraGrid1.DisplayLayout.Bands(0).Columns(1)
			column.MaskInput = "\R\e\g\i\o\n\:  &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&"
			column.MaskDisplayMode = Infragistics.Win.UltraWinMaskedEdit.MaskMode.IncludeLiterals
			column.MaskLiteralsAppearance.ForeColor = Color.DimGray
		End Sub

		Private Function GetData(ByVal rows As Integer) As DataTable
			Dim table As New DataTable("Table1")

			table.Columns.Add("Boolean column", GetType(Boolean))
			table.Columns.Add("Integer column", GetType(Int32))
			table.Columns.Add("DateTime column", GetType(Date))
			table.Columns.Add("String column", GetType(String))

			For i As Integer = 0 To rows - 1
				Dim row As DataRow = table.NewRow()
				row("Boolean column") = If(i Mod 2 = 0, True, False)
				row("Integer column") = i
				row("String column") = "text"
				row("DateTime column") = Date.Now
				table.Rows.Add(row)
			Next i

			Return table
		End Function
	End Class
End Namespace
